<?php
// Copyright (c) 2005, RedIRIS. All Rights Reserved.
//
// You may distribute under the terms of the GNU General Public License,
// as specified in the LICENSE file that was shipped with this distribution

// RIJNDAEL Crypt Functions (AES)

function encrypt_AES($input,$key)
{
 
 $td = mcrypt_module_open(MCRYPT_RIJNDAEL_128,'',MCRYPT_MODE_ECB,'');
 $iv = mcrypt_create_iv (mcrypt_enc_get_iv_size($td), MCRYPT_RAND);
 
 $key = substr($key, 0, mcrypt_enc_get_key_size($td));
 
 if (mcrypt_generic_init($td, $key, $iv) != -1)
 {
  // Encrypt the text
  $crypttext = mcrypt_generic($td, $input);
  mcrypt_generic_deinit($td);
 }      
 
 mcrypt_module_close($td);
   
 // Encode the encrypted text
 $crypttext = base64_encode($crypttext);
 
 return $crypttext;
}

function decrypt_AES($input,$key)
{
 
 // Decode the encrypted text
 $input = base64_decode($input);
  
 $td = mcrypt_module_open(MCRYPT_RIJNDAEL_128,'',MCRYPT_MODE_ECB,'');
 $iv = mcrypt_create_iv (mcrypt_enc_get_iv_size($td), MCRYPT_RAND);
 
 $key = substr($key, 0, mcrypt_enc_get_key_size($td));
 
 if (mcrypt_generic_init($td, $key, $iv) != -1)
 {
  // Decrypt the text
  $decrypttext = mdecrypt_generic($td, $input);
  mcrypt_generic_deinit($td);
 }      
 
 mcrypt_module_close($td);
 $decrypttext = trim ($decrypttext);
  
 return $decrypttext;
}


// 3DES Crypt Functions (Not used in phpPoA)

function encrypt_3DES($input,$key)
{
 
 $td = mcrypt_module_open('tripledes', '', 'ecb', '');
 $iv = mcrypt_create_iv (mcrypt_enc_get_iv_size($td), MCRYPT_RAND);
 
 $key = substr($key, 0, mcrypt_enc_get_key_size($td));
 
 if (mcrypt_generic_init($td, $key, $iv) != -1)
 {
  // Encrypt the text
  $crypttext = mcrypt_generic($td, $input);
  mcrypt_generic_deinit($td);
 }      
 
 mcrypt_module_close($td);
   
 // Encode the encrypted text
 $crypttext = base64_encode($crypttext);
 
 return $crypttext;
}


function decrypt_3DES($input,$key)
{
 
 // Decode the encrypted text
 $input = base64_decode($input);
  
 $td = mcrypt_module_open('tripledes', '', 'ecb', '');
 $iv = mcrypt_create_iv (mcrypt_enc_get_iv_size($td), MCRYPT_RAND);
 
 $key = substr($key, 0, mcrypt_enc_get_key_size($td));
 
 if (mcrypt_generic_init($td, $key, $iv) != -1)
 {
  // Decrypt the text
  $decrypttext = mdecrypt_generic($td, $input);
  mcrypt_generic_deinit($td);
 }      
 
 mcrypt_module_close($td);
 $decrypttext = trim ($decrypttext);
  
 return $decrypttext;
}



// Openssl Crypt Functions (Not used in phpPoA)

function openssl_encrypt($in,$key)
{
 $res = openssl_get_privatekey($key);
 // Encrypt the text
 openssl_private_encrypt($in,$crypttext,$res);

 // Encode the encrypted text
 $crypttext = base64_encode($crypttext);

 return $crypttext;
}

function openssl_decrypt($in,$key)
{
 // Decode the encrypted text
 $in = base64_decode($in);

 // Decrypt the text 
 openssl_public_decrypt($in,$newsource,$key);

 return $newsource;
}

?>
